%define oname libdc1394
%define major 12
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394_ %major -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394_12
Version: 	1.2.2
Release: 	%mkrel 8
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
Patch0:		libdc1394-0.9.5-lib64.patch
Patch1:		libdc1394-videodev.h.patch
Patch2:		libdc1394-1.2.2-automake-1.13.patch
BuildRequires: 	libraw1394_8-devel
BuildRequires:	libx11-devel
BuildRequires:	libxv-devel
BuildRequires:	libv4l-devel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%if %_lib != lib
%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).
%endif

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libdc1394_12-devel = %{version}-%{release}
Requires:	libraw1394_8-devel
Conflicts:	%mklibname -d dc1394

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .lib64
%patch1 -p0 -b .videodev
%patch2 -p1 -b .automake

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%if %_lib == lib
%files
%else
%files -n %{libname}
%endif
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/libdc1394_control.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/dc1394_vloopback
%{_includedir}/libdc1394
%{_libdir}/*.so


%changelog
* Fri Mar 10 2017 akien <akien> 1.2.2-8.mga6
+ Revision: 1091621
- Rebuild for v4l-utils 1.12.3

* Mon Feb 08 2016 umeabot <umeabot> 1.2.2-7.mga6
+ Revision: 947202
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 741351
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 681405
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-4.mga4
+ Revision: 506958
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 1.2.2-3.mga3
+ Revision: 357105
- fix build with latest automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 fwang <fwang> 1.2.2-2.mga3
+ Revision: 285047
- requires libraw1394_8

* Tue Aug 28 2012 fwang <fwang> 1.2.2-1.mga3
+ Revision: 284885
- fix build with latest videodev
- new version 1.2.2

* Fri Feb 25 2011 ennael <ennael> 1.2.1-11.mga1
+ Revision: 59461
- clean spec file
- imported package libdc1394_12

